# analysis.snr

## Module: `analysis.snr`

Inheritance diagram for `nitime.analysis.snr`:

## `SNRAnalyzer`

class nitime.analysis.snr.SNRAnalyzer(input=None, bandwidth=None, adaptive=False, low_bias=False)

  Bases: `BaseAnalyzer`

  Calculate SNR for a response to repetitions of the same stimulus, according to (Borst, 1999) (Figure 2) and (Hsu, 2004).

  Hsu A, Borst A and Theunissen, FE (2004) Quantifying variability in neural responses ans its application for the validation of model predictions. Network: Comput Neural Syst 15:91-109

  Borst A and Theunissen FE (1999) Information theory and neural coding. Nat Neurosci 2:947-957

  __init__(input=None, bandwidth=None, adaptive=False, low_bias=False)

    Initializer for the multi_taper_SNR object

    Parameters:

      input: TimeSeries object :

      bandwidth: float, :

      > The bandwidth of the windowing function will determine the number tapers to use. This parameters represents trade-off between frequency resolution (lower main lobe bandwidth for the taper) and variance reduction (higher bandwidth and number of averaged estimates). Per default will be set to 4 times the fundamental frequency, such that NW=4

      adaptive: bool, default to False :

      > Whether to set the weights for the tapered spectra according to the adaptive algorithm (Thompson, 2007).

      low_bias : bool, default to False

      > Rather than use 2NW tapers, only use the tapers that have better than 90% spectral concentration within the bandwidth (still using a maximum of 2NW tapers)

    Notes

    Thompson, DJ (2007) Jackknifing multitaper spectrum estimates. IEEE Signal Processing Magazing. 24: 20-30

  correlation()

    The correlation between all combinations of trials

    Returns:

      (r,e) : tuple

      > r is the mean correlation and e is the mean error of the correlation (with df = n_trials - 1)

  mt_coherence()
  mt_frequencies()
  mt_information()
  mt_noise_psd()
  mt_signal_psd()
  mt_snr()

nitime.analysis.snr.signal_noise(response)

  Signal and noise as defined in Borst and Theunissen 1999, Figure 2

  Parameters:

    response: nitime TimeSeries object :

    > The data here are individual responses of a single unit to the same stimulus, with repetitions being the first dimension and time as the last dimension